﻿'____________________________________________________

'Lesson 13 Study Group
'ADO in Code #1
'Created 8/23/2010
'____________________________________________________


Option Explicit On

Imports System.Data
Imports System.Data.OleDb           'if SQL we use Sys.Data.SQLClient

Public Class frmMain

    Private Sub frmMain_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        Try

            '--define our ADO objects so we can read DB into Mr. Grid
            'STEP 1: CONNECTION STRING

            '----2003 version
            Dim connString As String = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source= " & "..\..\customers.mdb"

            '----2007/10 version
            'Dim connString07 As String = "Provider=Microsoft.ACE.OLEDB.12.0;Data Source= " & "..\..\customers.accdb"

            'STEP 2: CONNECTION OBJECT

            Dim Conn As New OleDbConnection(connString)

            'STEP 3: MAKE SQL STRING (define the records to get)
            Dim sqlString As String = "SELECT * FROM Customers ORDER BY LastName"

            '---you can uses an alias to format the header text
            'Dim sqlString As String = "SELECT CustID as [Customer Number],  FirstName as [First Name], LastName as [Last Name] FROM Customers ORDER BY LastName"

            'STEP 4: MAKE A DATA ADAPTER
            Dim dataAdapter As New OleDbDataAdapter(sqlString, Conn)

            'STEP 5: CREATE A DATASET 
            Dim customersDS As New DataSet

            'STEP 6: FILL THE DATASET
            dataAdapter.Fill(customersDS, "myCustomers")        'myCustomers is the table that will hold the returned records

            'STEP 7: BIND THE DATAGRID TO DISPLAY RECORDS
            DataGridView1.DataSource = customersDS      'where is the data?
            DataGridView1.DataMember = "myCustomers"    'which table

            '=============FORMAT THE GRID==============

            '---format the header cells & alternating row color
            With DataGridView1
                .ColumnHeadersDefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleCenter
                .AlternatingRowsDefaultCellStyle.BackColor = Color.Teal
                .AlternatingRowsDefaultCellStyle.ForeColor = Color.White
            End With

            '---change fonts & colors
            With DataGridView1
                .Font = New Font("Tahoma", 9)
                .ForeColor = Color.Blue
                .BackgroundColor = Color.Beige


                '---VB2010 version
                .DefaultCellStyle.SelectionBackColor = Color.Yellow
                .DefaultCellStyle.SelectionForeColor = Color.Black

                '---VB2008 version
                '.SelectionBackColor = Color.Yellow
                '.SelectionForeColor = Color.Black


            End With

            '---change the column header labels
            With DataGridView1
                .Columns(0).HeaderText = "Customer No."
                .Columns(1).HeaderText = "Last Name"
                .Columns(2).HeaderText = "First Name"
                .Columns(3).HeaderText = "Middle Init."
                .Columns(4).HeaderText = "Street"
                .Columns(8).HeaderText = "Telephone"

            End With


            '=============END OF FORMAT GRID============

        Catch ex As Exception
            MessageBox.Show("I could not read the database." & ex.Message.ToString,
                             "System Message", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Me.Close()


        End Try

    End Sub
End Class
